# createTestEventReporter

abstract fun createTestEventReporter(rootName: String, binaryResultsDirectory: Directory, htmlReportDirectory: Directory): GroupTestEventReporter

Returns an object that can be used to report test events.

When closed, it will throw if the root node has been failed.

#### Return

the test event reporter

#### Since

8.13

#### Parameters

rootName

the name for the root node of the test tree

binaryResultsDirectory

the directory to write binary test results to

htmlReportDirectory

the directory to write HTML test reports to